########################################################################
#
# Test.config
#
# SPECbatch configuration properties file.
#
# Copyright (c) 2009 Standard Performance Evaluation Corporation (SPEC)
# All rights reserved.
#
########################################################################
#
########################################################################
# Configurable test properties
# These can be changed and still result in a valid benchmark run
########################################################################


# The host name and RMI port number of the idle server
BATCH_SERVER = batchserver
RMI_PORT = 1901

BATCH_SCRIPT = "virt_sc2013_run.sh"
KILL_SCRIPT = ""
BATCH_APP_PATH = "/opt/SPECbatch/cpu2006-virt"
BATCH_RES_DIR = "/opt/SPECbatch/cpu2006-virt/result"
BATCH_RUN_ENV = "/bin/bash"




########################################################################
# Fixed Configurable Settings
# Changes to this will invalidate the benchmark run
########################################################################

# Initial stagger delay added to each tile. the delay is computed based
# based on modulo(tile id, offset_reset_threshold) * offset
OFFSET=900

# Offset threshold allows to reset offset to zero after # number of tiles
OFFSET_RESET_TILECNT=4

# Expected time to complete the batch interval
DURATION=900

# Allow workload to exceed duration time and still be complaint run
# 0 - false should be default
# 1 - true jobs are allowed to run beyond duration (but not beyond timeinterval
ALLOW_DURATION_EXCEEDS=0

# Total number of jobs/intervals
INTERVALS=2

# Time interval until the start of next batch job
TIMEINTERVAL=3600

# Switch to control if the previous job has to be killed before initializing
# the next interval
# 0 - kill current job before starting next; 1 - allow multiple jobs to run
ALLOW_PARALLEL_JOBS=0

# Batch job/copy count - this is currently SPECcpu copy count
BATCH_COPY_COUNT=10

# QoS for sub-metrics
QOS_PASS_MSEC = 2000
QOS_PASS_PCT = 95.0

